Subject: Re: [bug#31958] [PATCH] gnu: Add python-pyblake2.

From: Vagrant Cascadian <[email-masked]>
Date: Mon, 25 Jun 2018 14:07:43 -0700

On 2018-06-25, Marius Bakke wrote:
> Vagrant Cascadian <[email-masked]> writes:
>
>> Add new package definition for python-pyblake2, needed to upgrade
>> python-trezor to recent versions.
>
> Thanks!  Some comments:
>
> [...]
>
>> * gnu/packages/libusb.scm (python-pyblake2): New variable.
>> ---
>>  gnu/packages/python.scm | 19 +++++++++++++++++++
>>  1 file changed, 19 insertions(+)
>
> There is a mismatch between the commit message and the code here :-)

Oops! obvious cut-and-paste error here...

> Though I think this is better suited in 'python-crypto.scm'.  WDYT?

I'll happily defer to someone who knows their way around guix more. :)

>> +    (home-page "https://github.com/dchest/pyblake2")
>> +    (synopsis
>> +     "BLAKE2 hash function extension module")
>
> Superfluous line break.

Will fix.

>> +    (description
>> +     "BLAKE2 hash function extension module")
>
> Can you try to expand on this a little?

I can try, sure.

>> +    (license license:cc0)))
>
> According to COPYING, this software is actually "octuple-licensed":
>
> * CC0 Universal 1.0 - http://creativecommons.org/publicdomain/zero/1.0
> * Unlicense — http://unlicense.org/
> * WTFPL Version 2 - http://www.wtfpl.net/
> * Apache Public License 2.0 - https://www.apache.org/licenses/LICENSE-2.0
> * OpenSSL License - https://www.openssl.org/source/license.html
> * MIT License - https://opensource.org/licenses/MIT
> * The BSD 3-Clause License - https://opensource.org/licenses/BSD-3-Clause
> * ISC License - https://opensource.org/licenses/ISC
>
> Can you add each of these, along with an explaning comment?

And all of those are merely fallback licenses to the author's intention
of public domain... and in the files themselves (pyblake2module.c,
setup.py), they only reference:

  http://creativecommons.org/publicdomain/zero/1.0

But if it's more appropriate for guix to list all possible licenses,
sure. :)

live well,
  vagrant